bitel.billing.server.card.bean

## Class DPayment

- java.lang.Object
- - bitel.billing.server.card.bean.DPayment

-     public class DPayment
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DPayment()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `equalz(DPayment pay)`
    `java.lang.String` | `getContractComment()`
    `int` | `getContractId()`
    `int` | `getContractID()` Deprecated.
    `java.lang.String` | `getContractTitle()`
    `java.util.Date` | `getDateTime()`
    `int` | `getDealerId()`
    `int` | `getId()`
    `java.lang.String` | `getPaymentComment()`
    `int` | `getPaymentId()`
    `int` | `getPaymentType()`
    `int` | `getStatus()`
    `java.math.BigDecimal` | `getSumma()`
    `java.lang.String` | `getTransId()`
    `void` | `setContractComment(java.lang.String contractComment)`
    `void` | `setContractId(int contractId)`
    `void` | `setContractID(int contractId)` Deprecated.
    `void` | `setContractTitle(java.lang.String contractTitle)`
    `void` | `setDateTime(java.util.Date date)`
    `void` | `setDealerId(int dealerId)`
    `void` | `setId(int id)`
    `void` | `setPaymentComment(java.lang.String comment)`
    `void` | `setPaymentId(int id)`
    `void` | `setPaymentType(int paymentType)`
    `void` | `setStatus(int status)`
    `void` | `setSumma(java.math.BigDecimal summa)`
    `void` | `setTransId(java.lang.String transId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DPayment

          public DPayment()

  - ### Method Detail

    - #### getStatus

          public int getStatus()

    - #### setStatus

          public void setStatus(int status)

    - #### getContractComment

          public java.lang.String getContractComment()

    - #### setContractComment

          public void setContractComment(java.lang.String contractComment)

    - #### getContractTitle

          public java.lang.String getContractTitle()

    - #### setContractTitle

          public void setContractTitle(java.lang.String contractTitle)

    - #### getPaymentComment

          public java.lang.String getPaymentComment()

    - #### setPaymentComment

          public void setPaymentComment(java.lang.String comment)

    - #### getContractId

          public int getContractId()

    - #### getContractID

          @Deprecated
          public int getContractID()

      Deprecated.
      Использовать `getContractId()`.
      Returns:

    - #### setContractId

          public void setContractId(int contractId)

    - #### setContractID

          @Deprecated
          public void setContractID(int contractId)

      Deprecated.
      Использовать `getContractId()`.
      Parameters:
        `contractId` -

    - #### getDateTime

          public java.util.Date getDateTime()

    - #### setDateTime

          public void setDateTime(java.util.Date date)

    - #### getPaymentId

          public int getPaymentId()

    - #### setPaymentId

          public void setPaymentId(int id)

    - #### getSumma

          public java.math.BigDecimal getSumma()

    - #### setSumma

          public void setSumma(java.math.BigDecimal summa)

    - #### getId

          public int getId()

    - #### setId

          public void setId(int id)

    - #### getTransId

          public java.lang.String getTransId()

    - #### setTransId

          public void setTransId(java.lang.String transId)

    - #### getDealerId

          public int getDealerId()

    - #### setDealerId

          public void setDealerId(int dealerId)

    - #### equalz

          public int equalz(DPayment pay)

    - #### getPaymentType

          public int getPaymentType()

    - #### setPaymentType

          public void setPaymentType(int paymentType)